CUDNN Frontend API 8.3.0

Modules | Functions | Variables
ExecutionPlanQuery
Collaboration diagram for ExecutionPlanQuery:

## Modules
| ExecutionPlanBuilder_v8

## Functions
auto | cudnn_frontend::ExecutionPlan_v8::getWorkspaceSize (void) const -> int64_t
| Query the workspace requirement for the given plan. More...
std::string | cudnn_frontend::ExecutionPlan_v8::describe () const override
| Return a string describing the backend Descriptor. More...
std::string const & | cudnn_frontend::ExecutionPlan_v8::getTag () const
void | cudnn_frontend::ExecutionPlan_v8::setExecutionTime (float time_)
float | cudnn_frontend::ExecutionPlan_v8::getExecutionTime () const
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT > const & | cudnn_frontend::ExecutionPlan_v8::getNumericNotes () const
| cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8 (ExecutionPlan_v8 const &)=default
ExecutionPlan_v8 & | cudnn_frontend::ExecutionPlan_v8::operator= (ExecutionPlan_v8 const &)=default
void | cudnn_frontend::ExecutionPlan_v8::fetchNotes (ManagedOpaqueDescriptor &extractedEngine)
void | cudnn_frontend::ExecutionPlan_v8::buildTag (ManagedOpaqueDescriptor &extractedEngine)
void | cudnn_frontend::ExecutionPlan_v8::computeWorkSpaceSize ()
| cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8 ()=default
ExecutionPlan_v8 && | cudnn_frontend::ExecutionPlanBuilder_v8::build ()
| cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8 ()=default
| cudnn_frontend::ExecutionPlanBuilder_v8::~ExecutionPlanBuilder_v8 ()=default
| cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8 (ExecutionPlanBuilder_v8 &&)=delete
| cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8 (ExecutionPlanBuilder_v8 const &)=delete
ExecutionPlanBuilder_v8 & | cudnn_frontend::ExecutionPlanBuilder_v8::operator= (ExecutionPlanBuilder_v8 const &)=delete

## Variables
ManagedOpaqueDescriptor | cudnn_frontend::ExecutionPlan_v8::engine_config = nullptr
cudnnHandle_t | cudnn_frontend::ExecutionPlan_v8::handle = nullptr
std::string | cudnn_frontend::ExecutionPlan_v8::planTag
std::int64_t | cudnn_frontend::ExecutionPlan_v8::workSpaceSize = 0
std::array< cudnnBackendNumericalNote_t, CUDNN_NUMERICAL_NOTE_TYPE_COUNT > | cudnn_frontend::ExecutionPlan_v8::numeric_notes
float | cudnn_frontend::ExecutionPlan_v8::execution_time_ms = 0.0f
ExecutionPlan_v8 | cudnn_frontend::ExecutionPlanBuilder_v8::m_execution_plan

## Detailed Description

Query individual property of ExecutionPlan_v8 class

## Function Documentation

## ◆ build()

ExecutionPlan_v8&& cudnn_frontend::ExecutionPlanBuilder_v8::build | ( |  | ) |
| inline

constructs the Engine Config by calling the cudnn API Throws the appropriate error message

Definition at line 298 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::ExecutionPlanBuilder_v8, cudnn_frontend::getLogger(), cudnn_frontend::make_shared_backend_pointer(), cudnn_frontend::ExecutionPlan_v8::operator=(), cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ buildTag()

void cudnn_frontend::ExecutionPlan_v8::buildTag | ( | ManagedOpaqueDescriptor & | extractedEngine | ) |
| inlineprivate

Definition at line 152 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::engine_config, cudnn_frontend::make_shared_backend_pointer(), cudnn_frontend::ExecutionPlan_v8::planTag, cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ computeWorkSpaceSize()

void cudnn_frontend::ExecutionPlan_v8::computeWorkSpaceSize | ( |  | ) |
| inlineprivate

Definition at line 229 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8(), cudnn_frontend::BackendDescriptor::pointer, cudnn_frontend::set_error_and_throw_exception(), cudnn_frontend::BackendDescriptor::status, and cudnn_frontend::ExecutionPlan_v8::workSpaceSize.

## ◆ describe()

std::string cudnn_frontend::ExecutionPlan_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 71 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::getTag(), cudnn_frontend::ExecutionPlan_v8::numeric_notes, and cudnn_frontend::ExecutionPlan_v8::workSpaceSize.

## ◆ ExecutionPlan_v8() [1/2]

cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8 | ( | ExecutionPlan_v8 const & |  | ) |
| default

## ◆ ExecutionPlan_v8() [2/2]

cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8 | ( |  | ) |
| privatedefault

Referenced by cudnn_frontend::ExecutionPlan_v8::computeWorkSpaceSize(), and cudnn_frontend::ExecutionPlan_v8::getNumericNotes().

## ◆ ExecutionPlanBuilder_v8() [1/3]

cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8 | ( |  | ) |
| explicitdefault

## ◆ ExecutionPlanBuilder_v8() [2/3]

cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8 | ( | ExecutionPlanBuilder_v8 && |  | ) |
| delete

## ◆ ExecutionPlanBuilder_v8() [3/3]

cudnn_frontend::ExecutionPlanBuilder_v8::ExecutionPlanBuilder_v8 | ( | ExecutionPlanBuilder_v8 const & |  | ) |
| delete

## ◆ fetchNotes()

void cudnn_frontend::ExecutionPlan_v8::fetchNotes | ( | ManagedOpaqueDescriptor & | extractedEngine | ) |
| inlineprivate

Definition at line 119 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::numeric_notes, cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::BackendDescriptor::status.

## ◆ getExecutionTime()

float cudnn_frontend::ExecutionPlan_v8::getExecutionTime | ( |  | ) | const
| inline

Definition at line 98 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::execution_time_ms.

Referenced by cudnn_frontend::time_sorted_plan().

## ◆ getNumericNotes()

std::array<cudnnBackendNumericalNote_t,CUDNN_NUMERICAL_NOTE_TYPE_COUNT> const& cudnn_frontend::ExecutionPlan_v8::getNumericNotes | ( |  | ) | const
| inline

Definition at line 103 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::ExecutionPlan_v8(), cudnn_frontend::ExecutionPlan_v8::numeric_notes, and cudnn_frontend::ExecutionPlan_v8::operator=().

## ◆ getTag()

std::string const& cudnn_frontend::ExecutionPlan_v8::getTag | ( |  | ) | const
| inline

Definition at line 88 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::planTag.

Referenced by cudnn_frontend::ExecutionPlan_v8::describe().

## ◆ getWorkspaceSize()

auto cudnn_frontend::ExecutionPlan_v8::getWorkspaceSize | ( | void |  | ) | const -> int64_t
| inline

Query the workspace requirement for the given plan.

Definition at line 66 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::workSpaceSize.

## ◆ operator=() [1/2]

ExecutionPlan_v8& cudnn_frontend::ExecutionPlan_v8::operator= | ( | ExecutionPlan_v8 const & |  | ) |
| default

## ◆ operator=() [2/2]

ExecutionPlanBuilder_v8& cudnn_frontend::ExecutionPlanBuilder_v8::operator= | ( | ExecutionPlanBuilder_v8 const & |  | ) |
| delete

## ◆ setExecutionTime()

void cudnn_frontend::ExecutionPlan_v8::setExecutionTime | ( | float | time_ | ) |
| inline

Definition at line 93 of file cudnn_frontend_ExecutionPlan.h.

References cudnn_frontend::ExecutionPlan_v8::execution_time_ms.

## ◆ ~ExecutionPlanBuilder_v8()

cudnn_frontend::ExecutionPlanBuilder_v8::~ExecutionPlanBuilder_v8 | ( |  | ) |
| default

## Variable Documentation

## ◆ engine_config

ManagedOpaqueDescriptor cudnn_frontend::ExecutionPlan_v8::engine_config = nullptr
| private

Definition at line 249 of file cudnn_frontend_ExecutionPlan.h.

Referenced by cudnn_frontend::ExecutionPlan_v8::buildTag().

## ◆ execution_time_ms

float cudnn_frontend::ExecutionPlan_v8::execution_time_ms = 0.0f
| private

Definition at line 259 of file cudnn_frontend_ExecutionPlan.h.

Referenced by cudnn_frontend::ExecutionPlan_v8::getExecutionTime(), and cudnn_frontend::ExecutionPlan_v8::setExecutionTime().

## ◆ handle

cudnnHandle_t cudnn_frontend::ExecutionPlan_v8::handle = nullptr
| private

Definition at line 250 of file cudnn_frontend_ExecutionPlan.h.

## ◆ m_execution_plan

ExecutionPlan_v8 cudnn_frontend::ExecutionPlanBuilder_v8::m_execution_plan
| private

Definition at line 393 of file cudnn_frontend_ExecutionPlan.h.

## ◆ numeric_notes

std::array<cudnnBackendNumericalNote_t,CUDNN_NUMERICAL_NOTE_TYPE_COUNT> cudnn_frontend::ExecutionPlan_v8::numeric_notes
| private

Definition at line 254 of file cudnn_frontend_ExecutionPlan.h.

Referenced by cudnn_frontend::ExecutionPlan_v8::describe(), cudnn_frontend::ExecutionPlan_v8::fetchNotes(), and cudnn_frontend::ExecutionPlan_v8::getNumericNotes().

## ◆ planTag

std::string cudnn_frontend::ExecutionPlan_v8::planTag
| private

Definition at line 251 of file cudnn_frontend_ExecutionPlan.h.

Referenced by cudnn_frontend::ExecutionPlan_v8::buildTag(), and cudnn_frontend::ExecutionPlan_v8::getTag().

## ◆ workSpaceSize

std::int64_t cudnn_frontend::ExecutionPlan_v8::workSpaceSize = 0
| private

Definition at line 253 of file cudnn_frontend_ExecutionPlan.h.

Referenced by cudnn_frontend::ExecutionPlan_v8::computeWorkSpaceSize(), cudnn_frontend::ExecutionPlan_v8::describe(), and cudnn_frontend::ExecutionPlan_v8::getWorkspaceSize().